import { request } from "../../objects";
export const https = {
  createCategory(data: any) {
    return request("/category/create", {
      method: "POST",
      data,
    });
  },
  listCategory(params: any) {
    return request("/category/list", {
      method: "GET",
      params,
    });
  },
  deleteCategory(id: string) {
    return request(`/category/delete/${id}`, {
      method: "POST",
    });
  },
  detailCategory(id: string) {
    return request(`/category/detail/${id}`, {
      method: "GET",
    });
  },
  updateCategory(data: any) {
    return request("/category/update", {
      method: "POST",
      data,
    });
  },
};
