import { number } from "vue-types";

declare var getImageUrl: (url: IAssetURLs) => string;

declare interface LayoutMenu {
  title: string;
  url: string;
  children?: { title: string; url: string }[];
}
declare type CategoryItem = {
  id: string;
  pid: string; // 分类的上层id // 默认为top
  name: string; //分类封面图
  cover: string; //分类名称
  sort: number;
  type: string; // 分类类型 list,detail,download
  isHome: bool; // 是否展示到首页
  children?: CategoryItem[];
};

declare module "froala-editor";
