import { Provider } from "@/components/Provider";
import { useAuth, useCategory } from "@/modules/admin";
import { defineComponent } from "vue";

export default defineComponent(() => {
  const storeAuth = useAuth();
  const storeCategory = useCategory();
  storeAuth.initAuth();
  storeCategory.initCategories();
  return () => (
    <Provider>
      <router-view></router-view>
    </Provider>
  );
});
